Bug 119417 - SELinux FAQ - anchor link doesn't follow correct linking style?
SELinux FAQ - anchor link doesn't follow correct linking style?
Product: Fedora Documentation
Classification: Fedora
Component: selinux-faq (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Wade
Tammy Fox
Depends On:
Blocks: 118757
  Show dependency treegraph
Reported: 2004-03-30 03:38 EST by David Balažic
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-30 15:44:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Balažic 2004-03-30 03:38:15 EST
Description of change/FAQ addition.  If a change, include the original
text first, then the changed text:

In the document

there is small buglet in the link (first line):

<a href="index.html#s1-fc2test1-selinux-rn">SELinux Notes and FAQ</a>

Correct would be :
<a href="#s1-fc2test1-selinux-rn">SELinux Notes and FAQ</a>

Version-Release number of selected component (if applicable):

  selinux-faq-1.0 (2004-03-29-T16:20-0800)
Comment 1 Karsten Wade 2004-03-30 15:44:23 EST
There are three correct ways to use an anchor:

From http://www.w3.org/TR/REC-html40/struct/links.html,

"Having defined the anchor, we may link to it from the same or another
document. URIs that designate anchors contain a "#" character followed
by the anchor name (the fragment identifier). Here are some examples
of such URIs:

    * An absolute URI: http://www.mycompany.com/one.html#anchor-one
    * A relative URI: ./one.html#anchor-one or one.html#anchor-one
    * When the link is defined in the same document: #anchor-one"

I can see where, in a purist since, since the link does not need to be
relative (it's not going to another actual HTML file), it could follow
the convention of when it is "defined in the same document."  However,
any of the methods (absolute, relative, and local) are perfectly legal
and work.  The reason the local #anchor method is not used is because
this document is authored in DocBook, and can contain one or more
<sect1> tag containers.  If building with nochunks (separate HTML for
each <sect1>), then the links need to be relative to find each other.
 Again, it could be split so that links within an HTML documents are
local style, and across HTML documents are relative, this seems like
unnecessary splitting of hairs.

We could hack the XSL, I'm sure, to handle this special case, but it
seems a little extreme, doesn't it? :)  Anyway, thanks for paying
attention to details like this, you never know when it counts.

Comment 2 David Balažic 2004-03-31 06:37:45 EST
The published (here : http://fedora.redhat.com/ and here :
) URL of that page is

When you click on the mentioned link in that page, it does not jump to
the indicated position, but loads "another" page , and then jumps to
the correct position. The difference is that there is extra network
activity and it takes noticable longer.

Note You need to log in before you can comment on or make changes to this bug.